# Class CIM_DiagnosticTestForMSE
extends CIM_ProvidesServiceToElement

This class is being deprecated to promote its usage to the DiagnosticService level. This is an association class that relates a DiagnosticTest to a ManagedSystemElement. Consumers wishing to 'diagnose' a particular Element could query this association, for the Element, to determine what tests are available.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_ProvidesServiceToElement
|
+--CIM_DiagnosticTestForMSE

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_AvailableDiagnosticService
Description | string | This class is being deprecated to promote its usage to the DiagnosticService level. This is an association class that relates a DiagnosticTest to a ManagedSystemElement. Consumers wishing to 'diagnose' a particular Element could query this association, for the Element, to determine what tests are available.
UMLPackagePath | string | CIM::System::Diagnostics
Version | string | 2.9.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
EstimatedTimeOfPerforming | uint32 |
Deprecated | string | CIM_AvailableDiagnosticService.EstimatedDurationOfService

Description

string

Estimated number of seconds to perform the referenced DiagnosticTest against the ManagedSystemElement. Since execution times could vary by Element, this property is located in the association between the two entities. It is also captured in DiagnosticResult, in the EstimatedTimeOfPerforming property. A CIM Consumer can compare this value with the value in DiagnosticResult to get an idea of what impact their settings have on test execution.

ModelCorrespondence | string | CIM_DiagnosticResult.EstimatedTimeOfPerforming
PUnit | string | second
Units | string | Seconds
IsExclusiveForMSE | boolean |
Deprecated | string | CIM_ServiceAffectsElement.ElementEffects

Description

string

This property is being deprecated since the same characterisitic can be published in the CIM_ServiceAffectsElement.ElementEffects array as Value = 2, "Exclusive Use". If the DiagnosticTest referenced in this object can be run concurrently against multiple SystemElements, but only run one at a time for the referenced ManagedSystemElement, then this boolean is set to TRUE. Alternately, if the test can NOT be run concurrently irregardless of the System Elements being tested, then the more general "Is Exclusive" enumerated value (2) should be set in DiagnosticTest. Characteristics.

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_DiagnosticTestForMSE | CIM_DiagnosticTest
Dependent | CIM_DiagnosticTestForMSE | CIM_ManagedSystemElement

## Class Methods